Bug 27909 - The *same binary* that works in RH6.2 crashes in RH7.0
The *same binary* that works in RH6.2 crashes in RH7.0
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: groff (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-15 19:47 EST by luke
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-15 19:47:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description luke 2001-02-15 19:47:12 EST
GNU troff version 1.16 (and 1.16.1)
Linux nevin.research.canon.com.au 2.2.16-22enterprise #1 SMP Tue Aug 22
16:29:32 EDT 2000 i686 unknown

This is a RedHat 7.0 system, on an Intel Pentium III.

I don't know what compiler was used to compile groff - Red Hat compiled
it.

Under RedHat 7.0, using groff v 1.16, the following file crashes groff
like so:

: [nevin] .../doc; groff -man -Thtml xxx > xxx.html
grops:/tmp/groff-troff-00FGk6:57: font `S' does not contain ascii character
`\'
grops: Failed assertion at line 349, file `font.cc'.
: [nevin] .../doc; ls -l core
-rw-------    1 luke     project    225280 Feb 16 10:10 core
: [nevin] .../doc; date
Fri Feb 16 10:10:25 EST 2001

The file "xxx" is attached.

It is the output from a pic command, for the man macros, with 99% of
the document removed to leave just the part that causes the crash.

I have also fetched a copy of groff 1.16.1 to compile under Red Hat 6.2.
and just compiled and installed it on a RedHat 6.2 system:

: [paolo] .../opt; gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/specs
gcc version egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)

and got the same effective result on the RedHat 7.0 system:

: [nevin] .../doc; groff -man -Thtml xxx > xxx.html
grops:/tmp/groff-troff-OlFl0W:57: font `S' does not contain ascii character
`\'
grops: Failed assertion at line 349, file `font.cc'.
"grops /tmp/groff-troff-OlFl0W > /tmp/groff-ps-5gXGaQ" returned status
34304
Conversion to image returned status 256
: [nevin] .../doc; groff -v
GNU troff version 1.16.1

PS: I have no idea why it's complaining about a font `S' - I'm only
using Times and Courier, normal bold and italic (at most).

PPS: I also ran the new groff (1.16.1) on RedHat 6.2.  It worked fine.
This strongly suggests that the bug is in a system library rather than in
groff itself.

luke

--------------------- file xxx --- cut here ----
.lf 1 -
'\" As this doc uses pic, pre-process via: pic | groff -man
'\"
'\" You'll notice lots of \fI\& - the \& is just so that the italic command
'\" doesn't run into the name, so vi's tag commands can be used to jump
'\" straight to the definition from this source file.
'\"
'\" .ps 12
.TH "PPK Overview" 3 "11th May 2000"
'\" =============================
.SH "DATA STRUCTURES"
.sp
'\" picture begins {
.ce
\fBFig 1:\fP Main Data Structures
.lf 140
.PS 1.955i 6.050i
.if '\*(.T'html' \X(graphic-start(\c
.\" -1.5 -1.655 4.55 0.3
.\" 0.000i 1.955i 6.050i 0.000i
.nr 00 \n(.u
.nf
.nr 0x 1
\h'6.050i'
.sp -1
\D't -1.000p'\h'1.000p'
.sp -1
.lf 212
.sp -1
\h'3.300i'\v'1.255i'\D'~0.500i 0.000i 0.450i -0.100i'
.sp -1
.sp 1.955i+1
.if \n(00 .fi
.br
.nr 0x 0
.if '\*(.T'html' \X(graphic-end(\c
.lf 235
.PE
.lf 236
'\" picture ends }
'\" =============================
.SH "PIXEL FORMATS"
.PP
Specifically,
it supports these formats:
.IP "\(bu" 4
1 byte grayscale.
.IP "\(bu" 4
2 byte RGBA.
Comment 1 Florian La Roche 2002-11-04 16:26:21 EST
This seems to work fine with groff-1.18-8 or newer.

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.